	DEFINE	TWISTER_MAP_ADR	#8700

	DB	2		;COMM_ASM
	LD	HL,#4000
	LD	DE,#4001
	LD	(HL),#F0
	LD	BC,6143
	LDIR
	
	LD	IY,$+5
	RET

	;init_fx
	DB	T_FX_INI

	; start music after first effect init
	DB	2		;COMM_ASM
	CALL	MUSIC_ON
	;---
	DI
	LD	BC,4368-104	; call im2 subroutine with play music while counter <= this value
WAITMUSLP	
	CALL	IM2EXEC
	LD	HL,(MUSPOS)
	AND	A
	SBC	HL,BC
	JP	NZ,WAITMUSLP
	;---
	LD	IY,$+5
	RET
	
	DB	T_FX_NOP
	DW	4368-1		; pause while fx-local frame counter <= this value
	

	DB	T_FX_RUN
	DW	4564-1+4 +416
	;DW	5192-1

	DB	2
	CALL	CLEAR_ATTR_5
	LD	A,TWISTER_MAP2_PG
	CALL	PAGER
	LD	HL,TWISTER_MAP2
	LD	DE,TWISTER_MAP_ADR
	CALL	DEPACK_PL5
	;---
	;include "debug_getstat.asm"
	LD	IY,$+5
	RET
	;5200
	;4992
	
	DB	T_FX_NOP
	DW	4992-1
	DB	T_FX_RUN
	DW	5396-1-4	;need 5396-1
	
	;run_fx
	DB	T_FX_RUN
	DW	#FFFF		; fx run while fx-local frame counter <= this value
	